## loguru 0.6.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = loguru
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## loguru 0.5.3

=== debian/changelog ===
loguru (0.5.3-5) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix code injection vulnerability (Closes: #1004194)
    + Fixes CVE: CVE-2022-0329

 -- Nilesh Patra <nilesh@debian.org>  Wed, 26 Jan 2022 02:06:39 +0530

loguru (0.5.3-4) unstable; urgency=medium

  * Team Upload.
  [ Debian Janitor ]
  * Use canonical URL in Vcs-Git.

  [ Nilesh Patra ]
  * Backport upstream patch to fix FTBFS (Closes: #997471)
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 31 Oct 2021 02:15:29 +0530

loguru (0.5.3-3) unstable; urgency=medium

  * Team Upload.
  * Disable test_time_rotation_reopening_native

 -- Nilesh Patra <nilesh@debian.org>  Fri, 30 Apr 2021 00:39:47 +0530

loguru (0.5.3-2) unstable; urgency=medium

  * Team Upload.
  * Add upstream/metadata
  * d/control: Minor fix in description
  * d/rules: do not pipe dh_auto_test with true,
    rather remove the faulty test
  * d/rules: respect nocheck for build time tests

 -- Nilesh Patra <nilesh@debian.org>  Thu, 29 Apr 2021 23:56:03 +0530

loguru (0.5.3-1) unstable; urgency=medium

  * Initial release (Closes: #983262)

 -- Steffen Moeller <moeller@debian.org>  Sun, 21 Feb 2021 17:22:03 +0100

=== debian/control ===
Source: loguru
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-setuptools,
               python3-all,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-colorama <!nocheck>,
               python3-isort <!nocheck>,
               python3-flake8 <!nocheck>,
               python3-toolz <!nocheck>
Standards-Version: 4.6.0
Homepage: https://github.com/Delgan/loguru/
Vcs-Browser: https://salsa.debian.org/python-team/packages/loguru
Vcs-Git: https://salsa.debian.org/python-team/packages/loguru.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-loguru
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-colorama
Description: enjoyable loggin' for Python
 Logging is fundamental to every application
 and eases the process of debugging. Using Loguru user has no excuse
 not to use logging from the start, this is as simple as
  from loguru import logger.
 .
 Also, this library is intended to make Python logging less painful
 by adding a bunch of useful functionalities that solve caveats of the
 standard loggers. Using logs in your application should be an automatism,
 Loguru tries to make it both pleasant and powerful.
 Ready to use out of the box without boilerplate
 .
  * No Handler, no Formatter, no Filter: one function to rule them all
  * Easier file logging with rotation / retention / compression
  * Modern string formatting using braces style
  * Exceptions catching within threads or main
  * Pretty logging with colors
  * Asynchronous, Thread-safe, Multiprocess-safe
  * Fully descriptive exceptions
  * Structured logging as needed
  * Lazy evaluation of expensive functions
  * Customizable levels
  * Better datetime handling
  * Suitable for scripts and libraries
  * Entirely compatible with standard logging
  * Personalizable defaults through environment variables
  * Convenient parser
  * Exhaustive notifier

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export PYBUILD_NAME=loguru
export PYBUILD_BEFORE_TEST := rm -f tests/test_exceptions_formatting.py

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test
endif

## loguru 0.6.0

=== debian/changelog ===
loguru (0.6.0-3) unstable; urgency=medium

  * Update python3.11 patch (Closes: #1024955)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 10 Dec 2022 13:07:10 +0530

loguru (0.6.0-2) unstable; urgency=medium

  * Cherry pick upstream commit to fix
    python 3.11 FTBFS (Closes: #1017233, #1017483)
  * Bump Standards-Version to 4.6.1 (no changes needed)
  * Add d/s/lintian-overrides for FP

 -- Nilesh Patra <nilesh@debian.org>  Thu, 25 Aug 2022 18:02:17 +0530

loguru (0.6.0-1) unstable; urgency=medium

  * Add myself to uploaders
  * New upstream version 0.6.0
  * Drop patches cherry-picked from upstream
  * Refresh test_time_rotation_reopening_native.patch
  * d/rules: Do not remove test_exceptions_formatting.py
    + Seems to be fixed in this release
  * Add autopkgtests

 -- Nilesh Patra <nilesh@debian.org>  Sun, 13 Feb 2022 20:33:47 +0530

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Steffen Moeller <moeller@debian.org>
+Uploaders: Steffen Moeller <moeller@debian.org>,
+           Nilesh Patra <nilesh@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-setuptools,
@@ -13,7 +14,7 @@
                python3-isort <!nocheck>,
                python3-flake8 <!nocheck>,
                python3-toolz <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/Delgan/loguru/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/loguru
 Vcs-Git: https://salsa.debian.org/python-team/packages/loguru.git

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%loguru-$1.tar.gz%" \
   https://github.com/Delgan/loguru/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## loguru 0.7.2

=== debian/changelog ===
loguru (0.7.2-3) unstable; urgency=medium

  * Team upload.
  * Add missing Test-Depends: python3-mypy

 -- Andreas Tille <tille@debian.org>  Fri, 05 Jan 2024 17:04:28 +0100

loguru (0.7.2-2) unstable; urgency=medium

  * Team upload.
  * Add missing Test-Depends: python3-freezegun

 -- Andreas Tille <tille@debian.org>  Fri, 05 Jan 2024 08:54:44 +0100

loguru (0.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1056421
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Drop useless override_dh_auto_test
  * Build-Depends: python3-freezegun, python3-mypy

 -- Andreas Tille <tille@debian.org>  Mon, 11 Dec 2023 09:05:44 +0100

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-all, python3-pytest, python3-freezegun, python3-mypy
Restrictions: allow-stderr

## loguru 0.7.3

=== debian/changelog ===
loguru (0.7.3-3) unstable; urgency=medium

  * Team Upload.
  * Drop Redundant "Rules-Requires-Root: no"
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Drop myself from uploaders
  * Move d/watch to version 5

 -- Nilesh Patra <nilesh@debian.org>  Sun, 02 Nov 2025 21:45:49 +0530

loguru (0.7.3-2) unstable; urgency=medium

  * Team upload.
  * d/control: Switch to autopkgtest-pkg-pybuild
  * Cherry-picked patches from upstream for Mypy 1.17.1 compat.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 11 Aug 2025 17:55:21 +0200

loguru (0.7.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Fix tests with Python 3.13 (closes: #1088751).
  * Drop an unused Lintian override.
  * Make some Lintian overrides slightly less specific.

 -- Colin Watson <cjwatson@debian.org>  Sun, 08 Dec 2024 15:56:29 +0000

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,26 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
-           Nilesh Patra <nilesh@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3-setuptools,
+               dh-sequence-python3,
+               flit,
+               mypy,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
+               python3-pytest-mypy <!nocheck>,
                python3-colorama <!nocheck>,
                python3-isort <!nocheck>,
                python3-flake8 <!nocheck>,
+               python3-freezegun <!nocheck>,
+               python3-mypy <!nocheck>,
                python3-toolz <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/Delgan/loguru/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/loguru
 Vcs-Git: https://salsa.debian.org/python-team/packages/loguru.git
-Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-loguru
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export PYBUILD_NAME=loguru

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5
Template: Github
Owner: Delgan
Project: loguru
